Subject: [ietf-provreg] RE: extensding EPP <update> command for contact

From: "Hollenbeck, Scott" <[email-masked]>
Date: Tue, 11 Jul 2006 07:15:39 -0400

> -----Original Message-----
> From: janusz [mailto:[email-masked]] 
> Sent: Monday, July 10, 2006 4:23 PM
> To: Hollenbeck, Scott
> Cc: [email-masked]
> Subject: extensding EPP <update> command for contact
> 
> Scott,
> according to the wording of section 3.2.5 in RFC 3733 EPP contact 
> <update> command has to contain at least one element to 
> modify. The fact 
> can be very inconvenient for potential EPP extensions of the command. 
> The same section in domain object mapping document contains a 
> provision 
> for EPP domain <update> commands without any element to modify. 
> To make EPP extension of contact <update> command reasonably 
> convenient 
> and to restore protocol symmetry the wording of the section 
> 3.2.5 in RFC 
> 3733 should be modified to allow EPP contact <update> 
> commands that do 
> not contain any element to modify.
> 
> Similar problem exists for host object mapping (RFC 3732, 
> section 3.2.5).

This issue was discussed on the list a while back and has been fixed in
the recently-expired -bis documents.  This is how the new text reads:

At least one <contact:add>, <contact:rem>, or <contact:chg> element
MUST be provided if the command is not being extended.  All of these
elements MAY be omitted if an <update> extension is present.

-Scott-

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Tue, 11 Jul 2006 07:19:00 -0400

> From: Klaus Malorny [mailto:[email-masked]] 
> Sent: Monday, July 10, 2006 4:58 PM
> To: janusz
> Cc: Hollenbeck, Scott; [email-masked]
> Subject: Re: [ietf-provreg] extensding EPP <update> command 
> for contact
> 
> janusz wrote:
> > Scott,
> > [...]
> > The same section in domain object mapping document contains 
> a provision 
> > [...]
> > Janusz Sienkiewicz
> While it is possible in the domain mapping (RFC 3731) to 
> legally create an 
> update command that does nothing, there is still a sentence 
> that requires 
> unnecessary XML (page 27, third paragraph from bottom):
> 
>     At least one <domain:add>, <domain:rem>, or <domain:chg> 
> element MUST
>     be provided.
> 
> So, RFC 3731 should be included in your considerations. When 
> we discovered this 
> problem last year we decided to simply ignore this MUST in our server 
> implementation and to do not reject the command if such a 
> condition occurs. I 
> don't see a reason for the prohibition of an "empty" update anyway.

Also fixed in 3731bis.

-Scott-